Package ch.qos.logback.core.spi

## Interface PropertyDefiner

All Superinterfaces:
  `ContextAware`

All Known Implementing Classes:
  `FileExistsPropertyDefiner`, `PropertyDefinerBase`, `ResourceExistsPropertyDefiner`

    public interface PropertyDefiner
    extends ContextAware

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getPropertyValue()` Get the property value, defined by this property definer

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Method Detail

#### getPropertyValue

    java.lang.String getPropertyValue()

Get the property value, defined by this property definer

Returns:
  defined property value